# 19nov23 Software Lab. Alexander Burger

(symbols 'wecker 'android 'pico)

(start
   (load "wecker/er.l")
   (pool "db/wecker/" *Dbs NIL "db/wecker/sync") )

(stop
   (pool)
   (off *ID *Dbs *Blob) )

(with (db 'key '+Dt (next))
   (notify (: key) (: ttl) (: txt) NIL "wecker/App.l")
   (alarm (: key))
   (let Cnt (or (: cnt) 1)
      (casq (: rpt)
         (H
            (let Tim (+ (: tim) (* 3600 Cnt))
               (put!> This 'dat
                  (+ (: dat) (/ Tim 86400)) )
               (put!> This 'tim (% Tim 86400)) ) )
         (D (inc!> This 'dat Cnt))
         (W (inc!> This 'dat (* 7 Cnt)))
         (M
            (put!> This 'dat
               (when (: dat)
                  (let ((Y M D) (date @))
                     (inc 'Y (/ (dec (inc 'M Cnt)) 12))
                     (setq M (inc (% (dec M) 12)))
                     (until (date Y M D)
                        (dec 'D) )
                     @ ) ) ) )
         (Y
            (put!> This 'dat
               (when (: dat)
                  (let ((Y M D) (date @))
                     (until (date (+ Y Cnt) M D)
                        (dec 'D) )
                     @ ) ) ) )
         (T (lose!> This)) ) ) )

(let Gen (java "android.media.ToneGenerator" T 5 100)  # AudioManager.STREAM_NOTIFICATION = 5
   (do 5
      (java Gen 'startTone 24)  # ToneGenerator.TONE_PROP_BEEP = 24
      (%@ "sleep" 'I 1) ) )
