# 08nov23 Software Lab. Alexander Burger

,"Notifier"

(symbols 'pico~wecker 'android 'pico)

(start
   (load "wecker/er.l")
   (call "mkdir" "-p" "db/wecker/")
   (pool "db/wecker/" *Dbs NIL "db/wecker/sync") )

(stop
   (pool)
   (off *ID *Dbs *Blob) )

(pilbox
   (<h3> "fh" ,"Notifier")
   (let D (date)
      (<h2> "fh" (ht:Prin (day D) " " (datStr D))) ) )
(menu ,"Notifier"
   (form "wecker"
      (<grid> "--."
         ,"Date" (gui 'dat '(+DateField) 5)
         (searchButton '(init> (: home query)))
         ,"Title" (gui 'ttl '(+DbHint +TextField) '(ttl +Dt) 15)
         (resetButton '(dat ttl query)) )
      (--)
      (gui 'query '(+DbChart) 16
         '(search
            (val> (: home ttl)) '((ttl +Dt))
            (cons (val> (: home dat)) T) '((dat +Dt)) )
         5
         '((This)
            (list
               (: dat)
               (: tim)
               (: ttl)
               (if This "@img/go.png" "@img/no.png") ) )
         '((L D)
            (cond
               (D
                  (put!> D 'dat (car L))
                  (put!> D 'tim (cadr L))
                  (put!> D 'ttl (caddr L))
                  D )
               ((car L)
                  (new! '(+Dt) 'dat @) ) ) ) )
      (<table> NIL (choTtl ,"Entries" '+Dt)
         (quote
            (btn)
            (NIL ,"Date")
            (NIL ,"Time")
            (NIL ,"Title") )
         (do 16
            (<row> NIL
               (gui 4 '(+Img) ,"Date:Time"
                  '(and (curr) (mkUrl (url> @ 1))) )
               (gui 1 '(+DateField) 5)
               (gui 2 '(+TimeField) 1)
               (gui 3 '(+TextField) 20)
               (gui 5 '(+DelRowButton)
                  '(lose!> (curr))
                  '(text ,"Delete @1?" (curr 'ttl)) ) ) ) )
      (--)
      (<grid> 3
         (scroll 16)
         (<nbsp>)
         (with *ID
            (<h2> "fh" (<$> (: ttl) This)) ) )
      (--)
      (gui '(+Button) ,"Set all"
         '(forall '+Dt
            (unless (: T)
               (alarm> This) ) ) )
      (<nbsp> 7)
      (gui '(+TimeField) 1 "Timer")
      (gui '(+Button) ,"Set"
         '(let Tim
            (+
               (val> (field -1))
               (* 86400 (date))
               (time T) )
            (new! '(+Dt)
               'dat (/ Tim 86400)
               'tim (% Tim 86400)
               'ttl "Timer" )
            (init> (: home query)) ) ) ) )
